# Gridlock - a collection of grid-based strategy games
# Copyright (c) 2009 Brian Nenninger (brian@dozingcatsoftware.com)
# Gridlock comes with ABSOLUTELY NO WARRANTY, and is released under version 3 of the GNU GPL.

import PGOpenGLUtils

COLORS = ((0,0,1,0.5),(0,1,0,0.5),(0,1,1,0.5),(1,0,0,0.5),(1,0,1,0.5),(1,1,0,0.5),(1,1,1,0.5),(0,0,0,0.5))

def drawCell(state, coord, value, scale):
    if value>0:
        PGOpenGLUtils.draw_cylinder_or_sphere(coord, color=COLORS[value-1], scale=scale)
        return True
    return False
    